Bug 1014200 - Allow QoS change on the fly using updateDeviceFlags
Allow QoS change on the fly using updateDeviceFlags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Privoznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1014503
  Show dependency treegraph
 
Reported: 2013-10-01 10:04 EDT by psebek
Modified: 2013-11-26 22:57 EST (History)
13 users (show)

See Also:
Fixed In Version: libvirt-1.0.5.6-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1014198
: 1014503 (view as bug list)
Environment:
Last Closed: 2013-10-11 19:57:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description psebek 2013-10-01 10:04:36 EDT
+++ This bug was initially created as a clone of Bug #1014198 +++

Description of problem:
Using updateDeviceFlags to change nic with set QoS parameters causes "error: this function is not supported by the connection driver: unable to change config on 'bridge' network type"

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. set guest domain with nic, running
2. run update-device with settings containing QoS
# virsh update-device <domain> settings_example.xml
# cat settings_example.xml:
<interface type='bridge'>
    <mac address='00:1a:4a:31:ab:2b'/>
    <source bridge='testnetwork'/>
    <target dev='vnet1'/>
    <model type='virtio'/>
    <filterref filter='vdsm-no-mac-spoofing'/>
    <link state='up'/>
    <bandwidth>
        <inbound average='25600' peak='51200' burst='204800'/>
        <outbound average='12800' peak='25600' burst='10240'/>
    </bandwidth>
    <alias name='net1'/>
    <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
</interface>

Actual results:
error:this function is not supported by the connection driver: unable to change config on 'bridge' network type

Expected results:
nic is updated properly

Additional info:
Comment 1 Michal Privoznik 2013-10-01 10:46:50 EDT
Patch proposed upstream:

https://www.redhat.com/archives/libvir-list/2013-October/msg00024.html
Comment 3 Michal Privoznik 2013-10-02 04:55:27 EDT
Aaaand this one is fixed upstream:

commit 9fa10d3901a14997f724fe50ad8a33d7f0d23abe
Author:     Michal Privoznik <mprivozn@redhat.com>
AuthorDate: Tue Oct 1 15:04:48 2013 +0200
Commit:     Michal Privoznik <mprivozn@redhat.com>
CommitDate: Wed Oct 2 10:48:03 2013 +0200

    qemu_hotplug: Allow QoS update in qemuDomainChangeNet
    
    The qemuDomainChangeNet() is called when 'virsh update-device' is
    invoked on a NIC. Currently, we fail to update the QoS even though
    we have routines for that.
    
    Signed-off-by: Michal Privoznik <mprivozn@redhat.com>

commit ee02fbc8e4a24c1347761ceff2ddb2c108e9611c
Author:     Michal Privoznik <mprivozn@redhat.com>
AuthorDate: Wed Oct 2 09:18:02 2013 +0200
Commit:     Michal Privoznik <mprivozn@redhat.com>
CommitDate: Wed Oct 2 10:47:22 2013 +0200

    virNetDevBandwidthEqual: Make it more robust
    
    So far the virNetDevBandwidthEqual() expected both ->in and ->out items
    to be allocated for both @a and @b compared. This is not necessary true
    for all our code. For instance, running 'update-device' twice over a NIC
    with the very same XML results in SIGSEGV-ing in this function.
    
    Signed-off-by: Michal Privoznik <mprivozn@redhat.com>

v1.1.3-13-g9fa10d3
Comment 4 Fedora Update System 2013-10-06 15:19:00 EDT
libvirt-1.0.5.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-3.fc19
Comment 5 Fedora Update System 2013-10-08 07:36:57 EDT
Package libvirt-1.0.5.6-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.0.5.6-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18500/libvirt-1.0.5.6-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-11 19:57:57 EDT
libvirt-1.0.5.6-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.